<html>
<head>
<title>OGRE: Ogre::ParticleVisualData Class Reference - OGRE Documentation</title> <meta http-equiv="Content-Type" content="text/html; charset=iso-8859-1"> 
<link type="text/css" rel="stylesheet" href="doxygen.css">
<link type="text/css" rel="stylesheet" href="tabs.css">
</head>

<body>
<!-- Generated by Doxygen 1.5.3 -->
<div class="tabs">
  <ul>
    <li><a href="index.html"><span>Main&nbsp;Page</span></a></li>
    <li><a href="namespaces.html"><span>Namespaces</span></a></li>
    <li class="current"><a href="classes.html"><span>Classes</span></a></li>
    <li><a href="files.html"><span>Files</span></a></li>
    <li><a href="dirs.html"><span>Directories</span></a></li>
    <li><a href="pages.html"><span>Related&nbsp;Pages</span></a></li>
  </ul>
</div>
<div class="tabs">
  <ul>
    <li><a href="classes.html"><span>Alphabetical&nbsp;List</span></a></li>
    <li><a href="annotated.html"><span>Class&nbsp;List</span></a></li>
    <li><a href="hierarchy.html"><span>Class&nbsp;Hierarchy</span></a></li>
    <li><a href="functions.html"><span>Class&nbsp;Members</span></a></li>
  </ul>
</div>
<div class="nav">
<a class="el" href="namespaceOgre.html">Ogre</a>::<a class="el" href="classOgre_1_1ParticleVisualData.html">ParticleVisualData</a></div>
<h1>Ogre::ParticleVisualData Class Reference</h1><!-- doxytag: class="Ogre::ParticleVisualData" -->Abstract class containing any additional data required to be associated with a particle to perform the required rendering.  
<a href="#_details">More...</a>
<p>
<code>#include &lt;<a class="el" href="OgreParticle_8h-source.html">OgreParticle.h</a>&gt;</code>
<p>

<p>
<a href="classOgre_1_1ParticleVisualData-members.html">List of all members.</a><table border="0" cellpadding="0" cellspacing="0">
<tr><td></td></tr>
<tr><td colspan="2"><br><h2>Public Member Functions</h2></td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top">&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1ParticleVisualData.html#0b957dd0d6a183e37d2e4c4edc3a08ee">ParticleVisualData</a> ()</td></tr>

<tr><td class="memItemLeft" nowrap align="right" valign="top">virtual&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1ParticleVisualData.html#2863bf29693feca5637d1baab698c17a">~ParticleVisualData</a> ()</td></tr>

</table>
<hr><a name="_details"></a><h2>Detailed Description</h2>
Abstract class containing any additional data required to be associated with a particle to perform the required rendering. 
<p>
<dl class="remark" compact><dt><b>Remarks:</b></dt><dd>Because you can specialise the way that particles are renderered by supplying custom <a class="el" href="classOgre_1_1ParticleSystemRenderer.html" title="Abstract class defining the interface required to be implemented by classes which...">ParticleSystemRenderer</a> classes, you might well need some additional data for your custom rendering routine which is not held on the default particle class. If that's the case, then you should define a subclass of this class, and construct it when asked in your custom <a class="el" href="classOgre_1_1ParticleSystemRenderer.html" title="Abstract class defining the interface required to be implemented by classes which...">ParticleSystemRenderer</a> class. </dd></dl>

<p>Definition at line <a class="el" href="OgreParticle_8h-source.html#l00046">46</a> of file <a class="el" href="OgreParticle_8h-source.html">OgreParticle.h</a>.</p>
<hr><h2>Constructor &amp; Destructor Documentation</h2>
<a class="anchor" name="0b957dd0d6a183e37d2e4c4edc3a08ee"></a><!-- doxytag: member="Ogre::ParticleVisualData::ParticleVisualData" ref="0b957dd0d6a183e37d2e4c4edc3a08ee" args="()" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">Ogre::ParticleVisualData::ParticleVisualData           </td>
          <td>(</td>
          <td class="paramname">          </td>
          <td>&nbsp;)&nbsp;</td>
          <td width="100%"></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>

<p>Definition at line <a class="el" href="OgreParticle_8h-source.html#l00049">49</a> of file <a class="el" href="OgreParticle_8h-source.html">OgreParticle.h</a>.</p>

</div>
</div><p>
<a class="anchor" name="2863bf29693feca5637d1baab698c17a"></a><!-- doxytag: member="Ogre::ParticleVisualData::~ParticleVisualData" ref="2863bf29693feca5637d1baab698c17a" args="()" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">virtual Ogre::ParticleVisualData::~ParticleVisualData           </td>
          <td>(</td>
          <td class="paramname">          </td>
          <td>&nbsp;)&nbsp;</td>
          <td width="100%"><code> [virtual]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>

<p>Definition at line <a class="el" href="OgreParticle_8h-source.html#l00050">50</a> of file <a class="el" href="OgreParticle_8h-source.html">OgreParticle.h</a>.</p>

</div>
</div><p>
<hr>The documentation for this class was generated from the following file:<ul>
<li><a class="el" href="OgreParticle_8h-source.html">OgreParticle.h</a></ul>
<hr>
<p>
Copyright &copy; 2000-2005 by The OGRE Team<br />
<!--Creative Commons License--><a rel="license" href="http://creativecommons.org/licenses/by-sa/2.5/"><img alt="Creative Commons License" border="0" src="http://creativecommons.org/images/public/somerights20.png"/></a><br/>
This work is licensed under a <a rel="license" href="http://creativecommons.org/licenses/by-sa/2.5/">Creative Commons Attribution-ShareAlike 2.5 License</a>.<br/>
		<!--/Creative Commons License--><!-- <rdf:RDF xmlns="http://web.resource.org/cc/" xmlns:dc="http://purl.org/dc/elements/1.1/" xmlns:rdf="http://www.w3.org/1999/02/22-rdf-syntax-ns#">
		<Work rdf:about="">
			<license rdf:resource="http://creativecommons.org/licenses/by-sa/2.5/" />
	<dc:type rdf:resource="http://purl.org/dc/dcmitype/Text" />
		</Work>
		<License rdf:about="http://creativecommons.org/licenses/by-sa/2.5/"><permits rdf:resource="http://web.resource.org/cc/Reproduction"/><permits rdf:resource="http://web.resource.org/cc/Distribution"/><requires rdf:resource="http://web.resource.org/cc/Notice"/><requires rdf:resource="http://web.resource.org/cc/Attribution"/><permits rdf:resource="http://web.resource.org/cc/DerivativeWorks"/><requires rdf:resource="http://web.resource.org/cc/ShareAlike"/></License></rdf:RDF> -->

Last modified Mon Jun 16 12:51:16 2008
</p>
</body>
</html>
